/*Controle de Ecrã
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

/*Controlo de flex para ecrã menor que 1300 //////////////////////////////////////////////////////////////*/
@media only screen and (max-width: 1280px) {
  .col_ {
    width: calc(100%/4);
  }

  .home_central {
    width: 100% !important;
  }

  .name_svg_categoria {
    display: none;
  }
}

@media only screen and (max-width: 1000px) {
  .col_  {
    width: calc(100%/3) !important;
  }
  .p-text-block.h1{
    font-size: 1.6em !important;
  }
  .div_deficoes_de_conta {
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
  }

  /*Formatação das imagems lista categoria*/
  .svg_div {
    padding-block: 30%;
    cursor: auto;
  }
  .svg_div {
    padding-block: 1px;
    display: flex !important;
  }

  .search {
    width: 100%;
  }

  .str_svg {
    padding-right: 0px;
    padding-left: 3px;
  }

  /*
    Formatação image, recente +++++++++++++++++++++++++++++++++++++++++++++++++++++
    */


  .div_central0 {
    margin-top: 8% !important;
  }


}

@media only screen and (max-width: 700px) and (max-height : 92px) {
  .col_  {
    width: calc(100%/3) !important;
  }
}
@media only screen and (max-width: 800px) {
  .p-text-block.h1{
    font-size: 1.4em !important;
  }
  .div_search0{
    display: none !important;
  }
  .open_search {
    display: flex !important;
  }
  .box_fullscreen{
    .div_search0{
      display: block !important;
    }
  }
  .div_btn_update_anuncio {
    display: block !important;
  }

  .div_central0 {

    margin-top: 10% !important;

  }
  .main_account_settings_root{
    width: 95vw !important;
  }
}


@media only screen and (max-width: 700px) and (max-height : 812px) {
  .p-text-block.h1{
    font-size: 2.5em !important;
  }
  .notificacion0{
    min-width: 100% !important;
  }
}

@media only screen and (max-width: 700px) {
  .p-text-block.h1{
    padding: var(--carrousel-t-50);
    font-size: 1.3em !important;
  }
  .col_  {
    width: calc(100%/2) !important;
  }
  .contact_list_message {
    .text_contact {
      display: none;
    }

    .div_img_contact {
      margin: auto;
      align-self: center;
    }
  }


  .user_favorits {
    width: 100% !important;
    display: none;
  }

  .dinamic_div_chat {
    margin-right: unset !important;
    left: 0;
  }

  .settings_user_acount0,.box_user_friends {
    width: 100% !important;
  }
}


/*Controlo de flex para ecrã menor que 600///////////////////////////////////////////////////////////*/
@media only screen and (max-width: 600px) {
  .p-text-block.h1{
    font-size: 1.2em !important;
    padding: var(--carrousel-t-40) !important;
  }
  .root_title_explorar{
    margin-top: unset !important;
  }

  #messsage .text_contact {
    display: none;
  }
  #messsage .contactos{
    background: none !important;
    .float_opt {
      display: none !important;
    }
  } 
 /*  .p-text-block.h1 {
    font-size: 3em !important;
  } */
  .box.chat{
    margin-left: auto;
    margin-right: auto;
  }
.carousel-item{
  background-size: unset !important;
}
  .iconed-button{
 svg,img{
  max-width: 25px;
  max-height: 25px;
 }
  }
 
  .pack_anuncy.col_{
    width: calc(100%/2);
  }
  .div_info_anuncio0,
  .show_img_and_more_info {
    width: 100%;
  }

  .right_div {
    gap: 5px;
    max-width: unset;
  }

  .logo_img {
    height: 30px;
    width: 72px;
  }

.header-top{
  gap: 5px;
}
  img#user_svg {
    width: 28px !important;
    margin-right: 0 !important;
    padding-inline: 0px !important;
  }

  /*Formatação da Svg menu*/
  img#menu_svg {
    width: 30px !important;
  }

  .svg_status_session {
    width: 30px;
    height: 30px;
  }



  div#bara_navegacao {
    justify-content: space-around !important;
    padding: 5px;
  }


  .principal_div {
    display: flex;
    justify-content: space-around !important;
    flex-direction: column !important;
    position: relative !important;
  }


  /*Formatação da pag add product*/
  .addfile_div {

    justify-content: center !important;

    width: 100% !important;
    height: 50%;
    overflow-y: scroll !important;
    overflow-x: hidden !important;


  }

  textarea {
    width: 100% !important;
  }

  .div_central0 {
    margin-top: 14% !important;
  }
}

@media only screen and (max-width: 480px) {
  .p-text-block.h1 {
    padding: var(--carrousel-t-20) !important;
  }
.left_div {
  background-color: white;
  box-shadow: var(--box_shadow);
  border-radius: 2pc;
  position: fixed !important;
  padding-top: 30px;
  left: unset;
  right: unset;
  top: unset;
}
  .btn_navbar svg,
  .btn_navbar img {
    width: 25px !important;
    height: 25px !important;
  }
  .logotyp, .right_div, .div_search0 {
    flex: unset !important;
    flex-grow: unset !important;
  }

  #str_anunvender svg {
    width: 20px;
    height: 20px;
  }

  .col_  {
    width: 100% !important;
  }

  .home_central,.main_account_settings_root,.div_central0,.central {
    width: 100% !important;
    padding-inline: 2px !important;
  }

  .box_user_favorits {
    max-width: 95vw !important;
    width: 95vw !important;
  }
}

  /*Controlo de flex para ecrã menor que 365/////////////////////////////////////////////*/
  /*Flex menu*/
  @media only screen and (max-width: 380px) {
    .menu_div {
      box-sizing: border-box;
      margin: 80px 0px 10px 0;
    }

    .carousel-txt-block-root {
      .carousel-txt-block {
        max-width: 100% !important;
      }

      p.h1 {
        font-size: 40px;
      }
    }


    /*Formatação da Div central*/
    .div_central0 {

      margin-top: 20% !important;
    }
  }



  @media only screen and (max-width: 365px) {
    .central_div {
      text-align: center;
      justify-content: space-around;
      flex-direction: column;
      margin-top: 10%;
      width: 100%;
    }

    .div_central0 {

      margin-top: 24% !important;

    }



  }

  @media only screen and (max-width: 340px) {
    .grid_container {
      grid-template-columns: auto auto !important;
    }
  }

  /*Controlo de flex para ecrã menor que 270 ////////////////////////////////////////////*/
  @media only screen and (max-width: 268px) {
    .menu_div {
      box-sizing: border-box;
      margin: 168px 0px 10px 0;
    }

    .addfile_div {
      margin-top: 40% !important;

    }

    .div_central0 {

      margin-top: 42% !important;

    }

    .search_div {
      margin-top: 60px;
    }

    .div_central0 {

      margin-top: 16% !important;

    }

    .grid_container {
      grid-template-columns: auto !important;
    }
  }





  /*Controlo de Tela com menos de 80px*/
  @media (max-width:80px) {
    .flex-container {
      flex-direction: column;
    }

    .flex-column {
      flex-direction: column;

    }

    .central_div {
      text-align: center;
      justify-content: space-around;
      flex-direction: column;
      margin-top: 25%;
    }
  }